include::../rule.adoc[]

For example, with the default provided regular expression ``++^([a-z][a-zA-Z0-9]*+(_[^a-zA-Z0-9]++)?+|[^a-zA-Z0-9]++)$++``, the function:

[source,scala]
----
def DoSomething( ) : Unit = { // Noncompliant
   // ...
}
----

should be renamed to

[source,scala]
----
def doSomething( ) : Unit = {
   // ...
}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_STRING_

----
^([a-z][a-zA-Z0-9]*+(_[^a-zA-Z0-9]++)?+|[^a-zA-Z0-9]++)
----

Regular expression used to check the function names against
****

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
